# $Revision: 1.35 $, $Date: 2004/05/07 01:04:50 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SGML
%define		pnam	Grove
Summary:	SGML::Grove Perl module
Summary(cs):	Modul SGML::Grove pro Perl
Summary(da):	Perlmodul SGML::Grove
Summary(de):	SGML::Grove Perl Modul
Summary(es):	Mdulo de Perl SGML::Grove
Summary(fr):	Module Perl SGML::Grove
Summary(it):	Modulo di Perl SGML::Grove
Summary(ja):	SGML::Grove Perl ⥸塼
Summary(ko):	SGML::Grove  
Summary(nb):	Perlmodul SGML::Grove
Summary(pl):	Modu Perla SGML::Grove
Summary(pt):	Mdulo de Perl SGML::Grove
Summary(pt_BR):	Mdulo Perl SGML::Grove
Summary(ru):	  Perl SGML::Grove
Summary(sv):	SGML::Grove Perlmodul
Summary(uk):	  Perl SGML::Grove
Summary(zh_CN):	SGML::Grove Perl ģ
Name:		perl-SGML-Grove
Version:	2.03
Release:	12
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9764eaed3da0b4134224afe9b63a8966
Patch0:		%{name}-Simple-Spec.patch
%if %{with tests}
BuildRequires:	perl-Class-Visitor
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq 'perl(SGML::SubDocEntity)'

%description
SGML::Grove provides an interface for accessing and manipulating SGML,
XML, HTML and other document instances after they've been built by a
parsing or grove building module like SGML::SPGroveBuilder,
Pod::GroveBuilder, etc.

%description -l pl
SGML::Grove umoliwia operowanie na dokumentach SGML, XML, HTML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a entities $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes ChangeLog README ToDo DOM
%{perl_vendorlib}/SGML
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SGML-Grove.spec,v $
Revision 1.35  2004/05/07 01:04:50  ankry
- rel. 12

Revision 1.34  2004/05/06 18:01:31  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/01 00:34:35  ankry
- tests added

Revision 1.32  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.31  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.30  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.29  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:38:00  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/07/16 23:48:37  ankry
- translations, cleaning
- added %%{perl_sitelib}/SGML dir
- new %%doc
- fixed License field, added license file
- release 10

Revision 1.22  2002/07/10 08:48:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:34:13  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:19:54  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/12 01:45:49  kloczek
- release 7.

Revision 1.16  2002/02/10 15:41:13  depesz
adapterized

Revision 1.15  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.13  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.12  2001/04/30 15:03:27  baggins
- fixed autorequires
- added Simple-Spec patch (typo fix)

Revision 1.11  2001/04/17 12:15:01  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/23 16:15:18  kloczek
- typos.

Revision 1.8  2001/01/23 16:05:24  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:57  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/05/02 21:05:03  baggins
- fixed including macros

Revision 1.3  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
